=== debian/changelog ===
dune-grid (2.9.0-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:54:25 +0000

dune-grid (2.9.0-3) unstable; urgency=medium

  * Temporarily remove build dependency on python3-vtk9
    (Deactivates parsing generated vtk files)
  * Account for rounding errors on float representing gmsh version.
    (Closes: #1064561)

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 12 Mar 2024 14:53:57 +0100

dune-grid (2.9.0-2) unstable; urgency=medium

  * Upload to unstable
  * d/control: Added Markus Blatt as uploader (with consent of Ansgar)

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 12 Jan 2023 23:10:10 +0100

dune-grid (2.9.0-1) experimental; urgency=medium

  [ Markus Blatt ]
  * d/control: Depend on python3-vtk9 instead of python3-vtk7
  * d/upstream: Added metadata file
  * d/patches: Refreshed and fixed version in dune.module
  * New upstream release (2.9.0).

  [ Ansgar ]
  * d/control: set Standards-Version to 4.6.2 (no changes).

 -- Ansgar <ansgar@debian.org>  Sun, 08 Jan 2023 11:27:36 +0100
