## dune-grid 2.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
-cmake_minimum_required(VERSION 3.13)
+cmake_minimum_required(VERSION 3.16)
 project("dune-grid" C CXX)
 
 if(NOT (dune-common_DIR OR dune-common_ROOT OR
@@ -22,17 +22,21 @@
 dune_project()
 
 # create the dune library for dune-grid
-dune_add_library(dunegrid)
+dune_add_library(dunegrid EXPORT_NAME Grid)
 target_link_libraries(dunegrid PUBLIC ${DUNE_LIBS})
 
 # create a dune library for the albertagrid
 if(Alberta_FOUND)
   foreach(_dim ${ALBERTA_WORLD_DIMS})
-    dune_add_library(dunealbertagrid${_dim}d NO_MODULE_LIBRARY)
+    dune_add_library(dunealbertagrid${_dim}d NO_MODULE_LIBRARY EXPORT_NAME AlbertaGrid${_dim}D)
     target_link_libraries(dunealbertagrid${_dim}d PUBLIC
-      dunegrid Alberta::AlbertaGrid_${_dim}d)
+      dunegrid Alberta::AlbertaGrid${_dim}D)
     target_compile_definitions(dunealbertagrid${_dim}d PUBLIC
-      ALBERTA_DIM=${_dim} ENABLE_ALBERTA=1)
+      ALBERTA_DIM=${_dim} HAVE_ALBERTA=1)
+    if(Alberta_DEBUG)
+      target_compile_definitions(dunealbertagrid${_dim}d PUBLIC
+        ALBERTA_DEBUG=1)
+    endif()
   endforeach(_dim)
 endif()
 
@@ -52,10 +56,10 @@
 # Use a  custom section to export path to the grid examples.
 set(DUNE_CUSTOM_PKG_CONFIG_SECTION "#Export the directory with the grid example for downstream modules
 if(${ProjectName}_INSTALLED)
-  set(DUNE_GRID_EXAMPLE_GRIDS_PATH \"\${PACKAGE_PREFIX_DIR}/${CMAKE_INSTALL_DOCDIR}/grids/\")
+  set_and_check(DUNE_GRID_EXAMPLE_GRIDS_PATH \"\${dune-grid_PREFIX}/${CMAKE_INSTALL_DOCDIR}/grids/\")
 else()
-  set(DUNE_GRID_EXAMPLE_GRIDS_PATH \"\${PACKAGE_PREFIX_DIR}/doc/grids/\")
+  set_and_check(DUNE_GRID_EXAMPLE_GRIDS_PATH \"\${dune-grid_PREFIX}/doc/grids/\")
 endif()
 ")
 # finalize the dune project, e.g. generating config.h etc.
-finalize_dune_project(GENERATE_CONFIG_H_CMAKE)
+finalize_dune_project()
