=== doc/grids/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(amc)
add_subdirectory(gridfactory)
add_subdirectory(gmsh)
add_subdirectory(starcd)
add_subdirectory(dgf)
