=== dune/grid/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,9 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 add_subdirectory(albertagrid)
 add_subdirectory(common)
+add_subdirectory(concepts)
 add_subdirectory(geometrygrid)
 add_subdirectory(identitygrid)
 add_subdirectory(io)
@@ -14,6 +15,7 @@
 
 install(FILES
   albertagrid.hh
+  concepts.hh
   geometrygrid.hh
   identitygrid.hh
   onedgrid.hh
