=== debian/changelog ===
dune-grid (2.10.0-1build2) questing; urgency=medium

  * Rebuild against latest alberta

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 May 2025 11:49:13 -0400

dune-grid (2.10.0-1build1) plucky; urgency=medium

  * No-change rebuild for libopenmpi40

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 05 Dec 2024 11:55:49 +0000

dune-grid (2.10.0-1) unstable; urgency=medium

  * New upstream release 2.10.0
  * Added debian/watch file
  * d/patches: Fix location in example-grids-install-location.patch
  * d/rules: Use chrpath to strip RPATH/RUNPATH from installed libs.
  * d/control: Depend on pkgconf instead of obsolete pkg-config
  * d/control: Bumped standards version to 4.7.0 (no-change)
  * Refreshed patches
  * d/control: Depend on DUNE 2.10

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 14 Nov 2024 21:09:51 +0100

dune-grid (2.10~pre20240905-3) experimental; urgency=medium

  * d/patches: Fix location in example-grids-install-location.patch

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 22 Oct 2024 07:47:03 +0200

dune-grid (2.10~pre20240905-2) experimental; urgency=medium

  * d/patches: Fixed wrong path of example grids in CMake's package config
  * d/patches: Fixed typo in example-grids-install-location.patch
  * d/rules: Use chrpath to strip RPATH/RUNPATH from installed libs.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 21 Oct 2024 22:39:19 +0200

dune-grid (2.10~pre20240905-1) experimental; urgency=medium

  * New upstream release (2.10~pre20240905).
  * d/control: Depend on pkgconf instead of obsolete pkg-config
  * d/control: Bumped standards version to 4.7.0 (no-change)
  * Refreshed patches
  * d/control: Deoend on DUNE 2.10

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 18 Oct 2024 08:41:20 +0200

dune-grid (2.9.0-4) unstable; urgency=medium

  * Readd build dependency on python3-vtk9 to test vtk output

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 30 Apr 2024 17:22:38 +0200
