=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: dune-grid
 Section: libs
 Priority: optional
-Standards-Version: 4.6.2
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Standards-Version: 4.7.0
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-grid
 Vcs-Git: https://salsa.debian.org/science-team/dune-grid.git
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
- cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.9.0),
- libdune-geometry-dev (>= 2.9.0),
- libdune-uggrid-dev (>= 2.9.0),
+ cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkgconf, python3,
+ chrpath,
+ libdune-common-dev (>= 2.10~),
+ libdune-geometry-dev (>= 2.10~),
+ libdune-uggrid-dev (>= 2.10~),
  libalberta-dev (>= 2.0.1-5),
- libgmp-dev
-# Dependency on python-vtk9 skipped as it breaks tests due to
-# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1064762
-# python3-vtk9
+ libgmp-dev,
+ python3-vtk9
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
@@ -26,9 +24,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.9.0),
- libdune-geometry-dev (>= 2.9.0),
- libdune-uggrid-dev (>= 2.9.0),
+ libdune-common-dev (>= 2.10~),
+ libdune-geometry-dev (>= 2.10~),
+ libdune-uggrid-dev (>= 2.10~),
  libalberta-dev (>= 2.0.1-5)
 Suggests: libdune-grid-doc (= ${source:Version})
 Provides: ${dune:shared-library}
