=== debian/changelog ===
dune-grid (2.11.0~git20251211-2) experimental; urgency=medium

  * Skip gmsh4readertest on non-64bit-hardware.
  * Added libscotchparmetis-dev to build dependencies.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 05 Jan 2026 22:47:55 +0100

dune-grid (2.11.0~git20251211-1) experimental; urgency=medium

  * New upstream release (2.11.0~git20251211).
  * d/patches: Backported fix for deadlocking vtktest in parallel.
  * d/control: Depend on DUNE packages >= 2.11.0~

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 04 Jan 2026 18:03:53 +0100
