=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
 Vcs-Git: https://salsa.debian.org/science-team/dune-grid.git
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
- cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkgconf, python3,
- chrpath,
- libdune-common-dev (>= 2.10~),
- libdune-geometry-dev (>= 2.10~),
- libdune-uggrid-dev (>= 2.10~),
- libalberta-dev (>= 2.0.1-5),
+ cmake (>= 3.13), gfortran, gnuplot, mpi-default-bin, mpi-default-dev, pkgconf, python3, chrpath,
+ libdune-common-dev (>= 2.11.0~),
+ libdune-geometry-dev (>= 2.11.0~),
+ libdune-uggrid-dev (>= 2.11.0~),
+ libalberta-dev,
  libgmp-dev,
+ libscotchparmetis-dev,
  python3-vtk9
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
@@ -24,10 +24,10 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.10~),
- libdune-geometry-dev (>= 2.10~),
- libdune-uggrid-dev (>= 2.10~),
- libalberta-dev (>= 2.0.1-5)
+ libdune-common-dev (>= 2.11.0~),
+ libdune-geometry-dev (>= 2.11.0~),
+ libdune-uggrid-dev (>= 2.11.0~),
+ libalberta-dev
 Suggests: libdune-grid-doc (= ${source:Version})
 Provides: ${dune:shared-library}
 Description: toolbox for solving PDEs -- grid interface (development files)
