=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk

ifneq ("$(DEB_HOST_ARCH_BITS)", "64")
	# exclude test from non-64 bit machines
	export DUNE_CTEST_OPTIONS=-E gmsh4readertest
endif

override_dh_install:
	# Manual delete runpath set by openmpi 5.0.5
	# See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1085509
	find debian/tmp/ -name \*.so -o  -name \*.so.\* -exec chrpath -d '{}' \; || true
	dh_install

override_dh_auto_test:
	dh_auto_build -- $(DUNE_TEST_BUILD_TARGETS)
	cd build; PATH=$(CURDIR)/debian/tmp-test:$$PATH $(DUNE_CTEST) $(DUNE_CTEST_OPTIONS) $(DUNE_TEST_CTEST_LABELS)

%:
	dh $@ --builddirectory=build --buildsystem=cmake
