## dune-grid 2.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,12 +18,24 @@
 #include the dune macros
 include(DuneMacros)
 
+# deactivate global include-directories
+dune_policy(SET DP_DEFAULT_INCLUDE_DIRS NEW)
+
+# deactivate global calls to add_dune_all_flags in tests
+dune_policy(SET DP_TEST_ADD_ALL_FLAGS NEW)
+
+# do not making all suggested dependencies required automatically
+dune_policy(SET DP_SUGGESTED_MODULE_DEPENDENCIES_REQUIRED_DOWNSTREAM NEW)
+
 # start a dune project with information from dune.module
 dune_project()
 
 # create the dune library for dune-grid
 dune_add_library(dunegrid EXPORT_NAME Grid)
 target_link_libraries(dunegrid PUBLIC ${DUNE_LIBS})
+
+# set include directories to target
+dune_default_include_directories(dunegrid PUBLIC)
 
 # create a dune library for the albertagrid
 if(Alberta_FOUND)
@@ -38,6 +50,11 @@
         ALBERTA_DEBUG=1)
     endif()
   endforeach(_dim)
+endif()
+
+# if UG is found it becomes a required dependency for dunegrid
+if(dune-uggrid_FOUND)
+  dune_mark_module_as_required_dependency(MODULE dune-uggrid)
 endif()
 
 # create alias HAVE_UG
