=== debian/changelog ===
dune-grid (2.11.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.11.0
  * Added config for salsa CI
  * Added debian/gdb.conf for dep-14 branch name convention

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 28 Jan 2026 19:27:57 +0100

dune-grid (2.11.0~git20251211-5) experimental; urgency=medium

  * d/rules: Really fix exclusion of gmshreader tests.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 06 Jan 2026 14:43:24 +0100

dune-grid (2.11.0~git20251211-4) experimental; urgency=medium

  * d/rules: Correct exclusion of two different tests.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 06 Jan 2026 12:50:34 +0100

dune-grid (2.11.0~git20251211-3) experimental; urgency=medium

  * Skip gmshtest-uggrid on non-64bit-hardware.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 06 Jan 2026 09:56:55 +0100
